import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetDeleteLogListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetDeleteLogListParams> = {
  startTime: '',
  endTime: '',
  documentType: '',
  data: '',
  userName: '',
};
export const context = createTableSearchContext(contextState);
